Bug 427093 - (gcx-review) Review Request: gcx - Data-reduction tool for CCD photometry
Review Request: gcx - Data-reduction tool for CCD photometry
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-31 07:28 EST by Marek Mahut
Modified: 2009-01-07 13:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-20 09:25:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2007-12-31 07:28:50 EST
Spec URL: http://mmahut.fedorapeople.org/reviews/gcx/gcx.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/gcx/gcx-0.9.11-1.fc8.src.rpm
Koji rawhide build: http://koji.fedoraproject.org/koji/taskinfo?taskID=316549
Description: GCX provides a complete set of data-reduction
functions for CCD photometry, accessible both
from a GUI and the command line. It also controls
CCD cameras and telescopes, and implements
automatic observation scripting.
Comment 1 Lubomir Kundrak 2008-02-08 04:32:01 EST
1.) Please remove the .svg suffix, it won't build in rawhide with it:

gcx.desktop:
Icon=/usr/share/gcx/gcx.svg

2.) I'm wondering if you could replace

Source2:        gcx.svg

with the actual URL you got it from.

3.) Does the RPM_OPT_FLAGS="$RPM_OPT_FLAGS" make any sense here?

make %{?_smp_mflags} RPM_OPT_FLAGS="$RPM_OPT_FLAGS"



Comment 2 Marek Mahut 2008-02-10 13:30:36 EST
Lubomir, gcx-0.9.11-2.fc8.src.rpm updated. There's no link for gcx.svg, it's
taken from debian package.
Comment 3 Lubomir Kundrak 2008-02-10 13:48:26 EST
Thanks Marek. All outstanding problems were adressed. RPMLint is silent now and
I can't find any more issues.

APPROVED

(btw. consider adding a comment stating that the icon is from debian)
Comment 4 Marek Mahut 2008-02-18 11:57:22 EST
New Package CVS Request
=======================
Package Name: gcx
Short Description: Data-reduction tool for CCD photometry
Owners: mmahut
Branches:  F-8
InitialCC: astronomy-sig
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-02-18 12:25:20 EST
cvs done.
Comment 6 Mamoru TASAKA 2008-02-20 08:33:30 EST
Please make it sure that the directory %{_datadir}/gcx/
is owned by this package.
Comment 7 Marek Mahut 2008-02-20 09:25:46 EST
Mamoru, done.

Thank you all!

Note You need to log in before you can comment on or make changes to this bug.